﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;
using UnityEngine.UI;

public class UIFunction : MonoBehaviour
{
    Main main;
    float originSpeed= 1.0f;
    float speed = 1.0f;

    void Start()
    {
        main = GameObject.Find("Main Camera").GetComponent<Main>();
    }

    #region Model
    public void chooseCharaModel(int i)
    {
        var charaName = main.charaAssetsNames.Keys.ToList()[i];
        main.loadChara(charaName);
    }

    public void chooseWeaponLModel(int i)
    {
        if (i == 0) main.removeWeapon();
        else
        {
            var weaponName = main.weaponAssetsNames.Keys.ToList()[i - 1];
            main.loadWeaponL(weaponName);
        }
    }

    public void chooseWeaponRModel(int i)
    {
        if (i == 0) main.removeWeapon();
        else
        {
            var weaponName = main.weaponAssetsNames.Keys.ToList()[i - 1];
            main.loadWeaponR(weaponName);
        }
    }

    public void chooseAttachmentModel(int i)
    {
        if (i == 0) main.removeAttachment();
        else
        {
            var attachmentName = main.attachmentAssetsNames.Keys.ToList()[i - 1];
            main.loadAttachment(attachmentName);
        }
    }

    public void chooseAnimator(int i)
    {
        main.loadAnimator(i);
    }

    public void chooseFace(int i)
    {
        main.setFace(i);
    }
    #endregion


    #region Action
    public void actionRoom(int i)
    {
        main.setRoom(i);
    }

    public void actionState(int i)
    {
        main.setState(i);
    }

    public void actionTurn(float i)
    {
        main.setTurn(-i);
    }

    public void actionDamageScale(float i)
    {
        main.setDamageScale(i);
    }

    public void actionDamage()
    {
        main.setDamage();
    }

    public void actionHolding(bool i)
    {
        main.setHolding(i);
    }

    public void actionAttack(int i)
    {
        main.setAttack(i);
    }

    public void actionBattleStart(int i)
    {
        if (i == 0) main.setBattleStartPlayer();
        else main.setBattleStartBoss();
    }

    public void actionSpeed(float i)
    {
        main.setSpeed(i);
        originSpeed = i;
        speed = i;
    }

    public void actionSpeedInput(string i)
    {
        float s = 1.0f;
        float.TryParse(i, out s);
        main.setSpeed(s);
        originSpeed = s;
        speed = s;
    }

    public void actionStop()
    {
        if (speed != 0f)
        {
            speed = 0f;
            main.setSpeed(0f);
        }
        else
        {
            main.setSpeed(originSpeed);
            speed = originSpeed;
        }
    }
    #endregion

}